package com.xinyilu.system.service.systemarea;

import com.xinyilu.common.core.domain.AjaxResult;
import com.xinyilu.system.domain.systemarea.SysArea;

import java.util.List;


/**
 * 区域管理Service接口
 *
 * @author jihan
 * @date 2022-07-27
 */
public interface ISysAreaService {
    /**
     * 查询区域管理
     *
     * @param id 区域管理主键
     * @return 区域管理
     */
    public SysArea selectSysAreaById(Long id);

    /**
     * 查询区域管理列表
     *
     * @param sysArea 区域管理
     * @return 区域管理集合
     */
    public List<SysArea> selectSysAreaList(SysArea sysArea);

    /**
     * 新增区域管理
     *
     * @param sysArea 区域管理
     * @return 结果
     */
    public AjaxResult insertSysArea(SysArea sysArea);

    /**
     * 修改区域管理
     *
     * @param sysArea 区域管理
     * @return 结果
     */
    public AjaxResult updateSysArea(SysArea sysArea);

    /**
     * 批量删除区域管理
     *
     * @param ids 需要删除的区域管理主键集合
     * @return 结果
     */
    public int deleteSysAreaByIds(Long[] ids);

    /**
     * 查询省市区域管理列表
     *
     * @param sysArea 区域管理
     * @return 区域管理集合
     */
    List<SysArea> getCityAreaInfoList(SysArea sysArea);

    /**
     * 查询省级区域信息信息
     *
     * @return 省级区域信息集合
     */
    AjaxResult getProvinceAreaInfo();

    /**
     * 根据父id查询其下属区域信息
     *
     * @param id 父级区域id
     * @return 下属区域信息集合
     */
    AjaxResult getSubordinateAreaInfo(Long id);
}
